Update production run

PUT /api/v1/inventory/production/runs/{run_id}

Update run parameters and recalculate costs.

Operation ID: update_run_api_v1_inventory_production_runs__run_id__put · View as markdown · OpenAPI slice

Authentication

Bearer token authentication. Pass your DayZero API token in the Authorization header and the target business UUID in x-business-id.

Parameters

Path

run_id string required

Request body

name string
total_units integer
unit_sale_price integer

Responses

200 Successful Response

id string required
business_id string required
recipe_id string required
name string
total_units integer required
unit_sale_price integer required
status string required
cost_snapshot CostBreakdown
created_at string required
updated_at string required

400 Bad Request - Invalid input

404 Not Found - Resource does not exist

422 Validation Error - Invalid data format